From: MX%"[email-masked]" 12-NOV-1992 16:56:24.37
To: LEDERMAN

From: <[email-masked]>
Subject: Re: Question about Bywater BASIC
To: [email-masked]
Date: Thu, 12 Nov 92 16:39:05 EST

>
>
>     Dear Sir;
>
>     I downloaded the source code for the Bywater BASIC Interpreter
>  with the intention of compiling it for a VAX/VMS system.  I am,
>  however, running into a couple of difficulties, and would like to
>  know if you could answer a couple of questions.
>
>     The first is, do you know if anyone has already done this, and
>  if so, were they successful, and did they have to change the
>  source code in any way?
>
>     I downloaded the MS-DOS version of the file, and I believe
>  that all of the components extracted correctly.  However, there
>  are two functions which are called but not defined.  One is
>  putenv (called by BWB_CMD.C), the other is unlink (called by
>  BWB_DIO.C).   Does the absence of these two functions indicate
>  that I am missing part of the source code?  If not, could you
>  please explain what these two function do, and where I can obtain
>  copies of the code?
>
>     Thank you very much.
>
>  Bart Z. Lederman
>  System Resources Corporation, working for:
>  U.S. Department of Transportation
>  Volpe National Transportation Systems Center
>  Cambridge, MA
>
>

I've just checked this with my C documentation and it turns out that
neither unlink() nor putenv() are defined in the ANSI C definition.
I was mistaken in thinking they were.  What this means is that the
function bwb_environ() in bwb_cmd.c and the function bwb_kill() in
bwb_dio.c should be bracketed with the #if DIRECTORY_CMDS directive,
and if DIRECTORY_CMDS is defined as FALSE, the program will compile
and link OK but you will not have the BASIC commands ENVIRON and KILL.

I've had many people report on bwBASIC and you're the first to report
this difficulty, so I suspect that most C compilers do have these
functions available, even though the functions aren't defined in the
ANSI standard.  Thanks very much for the note, and best of luck.

Ted Campbell
[email-masked]